Subject: Re: [PATCH net-next v3] Add support of Cavium Liquidio ethernet adapters

From: Lino Sanfilippo <[email-masked]>
Date: Fri, 19 Dec 2014 22:07:03 +0100

On 19.12.2014 22:00, Lino Sanfilippo wrote:
> On 19.12.2014 21:54, Stephen Hemminger wrote:
>> On Fri, 19 Dec 2014 21:44:15 +0100
>> Lino Sanfilippo <[email-masked]> wrote:
>> 
>>> > +	OCTEON_PCI_WIN_READ(oct, CN66XX_CIU_SOFT_RST);
>>> > +	OCTEON_PCI_WIN_WRITE(oct, CN66XX_CIU_SOFT_RST, 1);
>> 
>> Missing a following PCI read to force PCI posting?
>> 
> 
> Yes, I think so.

I thought posting means "writes are delayed", so I wrote it should be
avoided (instead of forced). However I think there should be a PCI read
before the call to mdelay.

Regards,
Lino